Subject: Re: [PATCH v11 1/4] net: phy: bcm54811: New link mode for BroadR-Reach

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 29 Jul 2024 09:31:33 +0100

On Mon, Jul 08, 2024 at 12:27:13PM +0200, Kamil Horák (2N) wrote:
> Introduce a new link mode necessary for 10 MBit single-pair
> connection in BroadR-Reach mode on bcm5481x PHY by Broadcom.
> This new link mode, 10baseT1BRR, is known as 1BR10 in the Broadcom
> terminology. Another link mode to be used is 1BR100 and it is already
> present as 100baseT1, because Broadcom's 1BR100 became 100baseT1
> (IEEE 802.3bw).
> 
> Signed-off-by: Kamil Horák (2N) <[email-masked]>
> Reviewed-by: Florian Fainelli <[email-masked]>

Does phylink also need to be updated? E.g. phylink_caps_to_linkmodes()

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!